Communications (Weekly digest)

Manage your subscriptions

The MyODP Communications Database is currently experiencing technical difficulties with Communication notifications. We are working to fix the issue and apologize for the inconvenience.

Set filter to current items issued by:



-View ODP Bulletins or search Bulletins on the DHS website


- To receive ODP Communications directly: Please submit your name and email to RA-PWODP_OUTREACH@pa.gov


Simple Searches:

To do a simple search across all fields, first select "All Communications" link above. Then type your search terms into the "Search" field below and click "Save Settings" button.

For best results, please DO NOT change the "Sort by" dropdown

If you are searching by Communication Number, please search using the following format, "01-23" (communication number-year)


        
 
Issued by:
Issue date:
Include in search.
Type:
Audience:
Name / Link:
Purpose:
Status:

More
Issued By: Office of Developmental Programs
Issue Date: September 20, 2021
Type: General
Audience: Weekly Digest
Name / Link:

ODP Logo


The Office of Developmental Programs has created a Coronavirus (COVID-19) Updates webpage for stakeholders to stay up to date with updates and r-resources from ODP.
Please also visit MyODP News Online for new articles related Coronavirus (COVID-19).
ODP Announcement 21-061 UPDATE: Individual Support Plan (ISP) Staffing Virtual Training Sessions

This update provides revisions to the remaining schedule and registration process for the Residential ISP Staffing full day virtual training sessions during September and October. 

MyODP Online News Digest September 4th-September 10th 2021

- Story suggestions and/or comments about MyODP News Online may be sent to: ra-pwmyodp@pa.gov

New "A Supporter's Toolbox" Podcast: More Than Words Can Say: Supporting Meaningful Communication

- Share your thoughts by emailing us at: ra-pwodp_Outreach@pa.gov

This is the ODP's Weekly Digest announcements from September 6, 2021 through September 17, 2021.

Thank you for following MyODP Communications!



Purpose
Status: current
More
Issued By: Office of Developmental Programs
Issue Date: August 18, 2021
Type: General
Audience: Weekly Digest
Name / Link:

ODP Logo


The Office of Developmental Programs has created a Coronavirus (COVID-19) Updates webpage for stakeholders to stay up to date with updates and r-resources from ODP.
Please also visit MyODP News Online for new articles related Coronavirus (COVID-19).

ODP Announcement 21-061: Residential Individual Support Plan (ISP) Virtual Training Sessions 2021

To announce a full-day virtual training session available for registration in August, September, and October 2021 on Residential ISP Staffing.as described in ODP Announcement 21-057.

ODPANN 21-062:  Certified Investigator (CI) Training Program Updates: New Manual, Certified Investigator Forums, Initial Certification Courses Now Available

The Office of Developmental Programs (ODP) requests your assistance distributing the attached communication, ODPANN 21-062: Certified Investigator (CI) Training Program Updates: New Manual, Certified Investigator Forums, Initial Certification Courses Now Available. The communication provides details about updates made to the Certified Investigator Program. Please review the announcement for additional details.

Self Advocates United as 1 (SAU1) August 2021 Events Calendar

-Please assist the Office of Developmental Programs to widely distribute the August Event Calendar for Self Advocates United as 1 (SAU1)

PATC: Call for Provider Presentation Proposals - Deadline Extended to Aug. 20th!

The Office of Developmental Programs (ODP) is requesting proposals from professionals who provide support for individuals with autism for stories that focus on their lived experience.

Community of Practice for Supporting Families Regional Collaboratives Map Updated on MyODP

- The Regional Collaborative interactive map on Pennsylvania’s CoP for Supporting Families The Community of Practice webpage has been updated with contact information for each county as well as website/social media links, communication and meetings structure, goals, next steps or action plans, and community partners where available.

Long-Term Care Facility Providers UPD UPDATE: Work Restrictions for Healthcare Personnel with Exposure to COVID-19

The recording of the August 6, 2021 webinar, A Review of PENNSYLVANIA DEPARTMENT OF HEALTH 2021 – PAHAN – 569 – 4-30 - UPD UPDATE: Work Restrictions for Healthcare Personnel with Exposure to COVID-19 is now available to view on MyODP.

ODP Health Alert: Extreme Heat Advisory
The Office of Developmental Programs is re-issuing this Summer Heat Safety Health Alert as a reminder of the very serious nature of heat related injuries. It is important to be mindful of heat related injuries all season.

Discovery Certification Training for Providers of Employment Services

- This 3-day training provides a comprehensive overview of Discovery (an alternative to traditional vocational assessments) and how to complete Discovery.

This is the ODP's Weekly Digest announcements from August 2, 2021 through August 13, 2021

Thank you for following MyODP Communications!


Purpose
Status: current
More
Issued By: Office of Developmental Programs
Issue Date: July 7, 2021
Type: General
Audience: Weekly Digest
Name / Link: ODP Logo


The Office of Developmental Programs has created a Coronavirus (COVID-19) Updates webpage for stakeholders to stay up to date with updates and r-resources from ODP.
Please also visit MyODP News Online for new articles related Coronavirus (COVID-19).


ODP Announcement 20-114 UPDATE: COVID-19 Frequently Asked Questions (FAQ) About Modifications to Medication Administration Course Requirements as a Result of the COVID-19 Pandemic

Modified and updated information appears in red.

ODP Announcement 21-047: ODP Quality Management (QM) Revised Prerequisite Modules

 and Handbook Now Available

To announce the availability of ODP’s revised QM Certification prerequisite modules and a new QM Certification Handbook as of June 21, 2021.

ODP Announcement 21-048: Coronavirus Disease 2019 (COVID-19)COVID-19 Update--Guidance for Infection Control and Mitigation for ODP Home and Community Based Services Providers

- To provide updated guidance to providers of ODP home and community-based services related to infection control procedures and mitigation of the spread of COVID-19.

ODP Announcement 21-049: Incident Management (IM)Clarification of Responsibilities for Supports Coordination Organizations(SCOs)

- With the release of IM Bulletin 00-21-02, the Office of Developmental Programs (ODP) has received multiple questions regarding the roles of Supports Coordinators (SC) once the bulletin becomes effective on July 1, 2021. This announcement will clarify ODP’s expectations of SCs. Information in this announcement obsoletes guidance previously issued through ODP Informational Packet 072-13.

ODP Announcement 21-050: OVR Referral Process for Employment-Related Services Effective July 1, 2021

- To notify all parties of a change in procedures for employment-related services beginning July 1, 2021.

ODP Announcement 21-051: Incident Management (IM) Bulletin Effective July 1, 2021

- This communication is a reminder to all stakeholders that on July 1, 2021, the IM Bulletin 00-21-02 (which was issued March 1, 2021) will be effective. Changes to the Enterprise Incident Management (EIM) system that align with the new bulletin will go live July 1, 2021.

IM4Q Annual Statewide Training - Registration Now Open!

Open training for all IM4Q Staff, Monitors, Local Board Members, Statewide Steering Committee, AE Staff, ODP Staff and Supports Coordinators

MyODP News Online Digest June 18, 2021-June 25, 2021

- MyODP News Stories, Profiles, and More!

SAU1 July Events Calendar 2021

Attached please find the July events calendar for Self Advocates United as 1 (SAU1). Registration details are included in the attachment.

New MyODP Podcast: You Can Put Your Mind to It!

- Some of us have self-defeating thoughts about who we are and what we can do. We are going to talk about the importance of having a growth mindset, and how you can support others to have one, too.

Health Alert: Be Alert for Legionella Infections

- The Office of Developmental Programs is issuing this Health Alert to create a greater awareness of an anticipated seasonal increase in Legionella infections in order to promote prevention and help ensure recognition and timely treatment if infection does occur.

Resource Guide for Supporting Deaf, DeafBlind, and Hard of Hearing Individuals

- The Office of Developmental Programs (ODP) is excited to announce the first annual publication of the Resource Guide for Supporting Deaf, DeafBlind, and Hard of Hearing Individuals. The purpose of this guide is to offer resources in one central location for those who support or care for someone who is Deaf, Hard of Hearing, or DeafBlind and receives supports from ODP.

This is the ODP's Weekly Digest announcements from June 21, 2021 through July 2, 2021

Thank you for following MyODP Communications!


Purpose
Status: current
More
Issued By: Office of Developmental Programs
Issue Date: May 16, 2021
Type: General
Audience: Weekly Digest
Name / Link:

ODP Logo


The Office of Developmental Programs has created a Coronavirus (COVID-19) Updates webpage for stakeholders to stay up to date with updates and r-resources from ODP.
Please also visit MyODP News Online for new articles related Coronavirus (COVID-19).
ODP Announcement 21-032 UPDATE: Fiscal Year (FY) 2021-2022 Individual Support Plan (ISP) Renewal Guidance

- This Office of Developmental Programs’(ODP) communication will provide guidance for the FY 2021-2022 renewal period. 

ODP Announcement 20-101 UPDATE: Coronavirus Disease 2019 (COVID-19): Temporary Closure of Adult Daily Living Centers, Structured Day Habilitation, and Licensed Facilities Where CPS is Provided Due to Community Spread or When Staff or Individuals are Diagnosed with COVID-19

- To provide temporary closure guidance to Older Adult Daily Living Centers, Structured Day Programs, LIFE Day Centers, Adult Training Facilities and Vocational Facilities related to the community spread of COVID-19.

Wolf Administration and Rite Aid Partner to Ease COVID-19 Vaccine Scheduling for People with Intellectual Disabilities and Autism

- Governor Tom Wolf today announced a partnership with Pennsylvania-based Rite Aid Pharmacy to ease access to COVID-19 vaccinations for people with intellectual and developmental disabilities.

MyODP News Online Digest Ending May 7th 2021

- The new edition of Communications Corner for May 2021 is now available! This month's edition focuses on Communication Temptations.

Wolf Administration Encourages Pennsylvanians to Apply for Assistance with Internet Bills, Electronic Devices

- The departments of Human Services, Labor & Industry, and Education today announced the availability of the federal Emergency Broadband Benefit (EBB), a program that will assist eligible households in paying for internet service and certain electronic devices.

New MyODP Podcast: Nothing is Out of Reach: Making Accommodations to Open Possibilities

Our field talks a lot about making accommodations in school and on the job site. We don't often talk as much about making accommodations when building skills to make it possible for people to engage more fully in their home and community. This episode is a reminder to do just that by setting high expectations to open a world of possibilities for the people you support.


This is the ODP's Weekly Digest announcements from May 3, 2021 through May 14, 2021

Thank you for following MyODP Communications!



Purpose
Status: current
More
Issued By: Office of Developmental Programs
Issue Date: April 13, 2021
Type: General
Audience: Weekly Digest
Name / Link: ODP Logo


The Office of Developmental Programs has created a Coronavirus (COVID-19) Updates webpage for stakeholders to stay up to date with updates and r-resources from ODP.
Please also visit MyODP News Online for new articles related Coronavirus (COVID-19).

ODP Announcement 20-066 UPDATE: Coronavirus Disease 2019 (COVID-19) Guidance for Visitation in Residential Settings

-The purpose of this announcement is to: • Explain “Level of Community Transmission” and its impact on visitation both in and outside of the Community or Life Sharing Home

ODP Announcement 20-068 UPDATE: Coronavirus Disease 2019 (COVID-19) Applying Department of Health Testing and Personal Protective Equipment Guidance for Long-Term Care Facilities’ Residents and Health Care Personnel to Community and Life Sharing Homes

-This announcement provides guidance to Community and Life Sharing Home providers about how to apply updated COVID-19 testing guidance and infection control procedure guidance issued by the Pennsylvania Department of Health (DOH): Updates to this announcement appear in red.

ODP Announcement 21-030: Open for Public Comment: Temporary Fee Schedule Rate Changes in Community Participation Support and Transportation Trip Services

-The purpose of this communication is to announce the public comment period for the temporary increases to the Fee Schedule Rates for Community Participation Support (CPS) services and Transportation Trip services effective January 1, 2021 through June 30, 2021.

ODP Announcement 21-031: Prudent Payment of Claims Suspended April 2022

-The Office of Developmental Programs (ODP) requests your assistance distributing the attached communication, ODPANN 21-031: Prudent Payment of Claims Suspended Until April 2022. Please review the announcement for additional information

ODP Announcement 21-032: Fiscal Year (FY) 2021-2022 Individual Support Plan (ISP) Renewal Guidance

-This Office of Developmental Program (ODP) communication will provide guidance for the FY 2021-2022 renewal period. 

ODP Announcement ODPANN 21-029 - Quality Management (QM) Virtual Certification Classes: Registration Now Open for July - December 2021

-The purpose of this communication is to provide information on the registration process for ODP’s Virtual QM Certification classes to be held July-December 2021.

ODP Releases 2019-2020 Annual Comprehensive Employment Report

- The Office of Developmental Programs (ODP) is pleased to announce the release of the second Annual Comprehensive Employment report.

Everyday Lives 2021 Virtual Conference: Conference Schedule and Speaker Lineup Now Available!

-This year’s Everyday Lives Conference merges ODP’s annual conference lineup into a single month-long event that offers two additional Everyday Lives recommendation tracks. 

This is the ODP's Weekly Digest announcements from April 2, 2021 through April 12, 2021

Thank you for following MyODP Communications!


Purpose
Status: current
More
Issued By: Office of Developmental Programs
Issue Date: March 6, 2021
Type: General
Audience: Weekly Digest
Name / Link: ODP Logo


The Office of Developmental Programs has created a Coronavirus (COVID-19) Updates webpage for stakeholders to stay up to date with updates and r-resources from ODP.
Please also visit MyODP News Online for new articles related Coronavirus (COVID-19).

ODP Announcement 21-02 Incident Management

-These webinars consist of the Incident Management Introduction Webinar related to the IM process and the Incident Management Overview Webinar that expands on the Introduction webinar. 

Registration Open for the Everyday Lives 2021 Virtual Conference!

-Early bird registration for the Everyday Lives 2021 Virtual Conference is now open! This year’s conference will be a virtual celebration offering learning opportunities for individuals, families, and professionals.

The Arc of Pennsylvania Customized Employment Job Development April 2021

- Attendees will learn how to develop an employer-focused approach to negotiating customized job descriptions on behalf of individuals with disabilities. 

2021 ASD Virtual Seminar - Registration Now Open!

-This seminar is intended for providers or any supporter in the disability system who is interested a) in understanding ways to reduce potential risk and b) in understanding the justice system focusing on the role of advocacy and intervention if an individual they support becomes involved in the criminal justice system. 

ODP Announcement 21-024 Reissue:  Open for Public Comment: Renewal of the Adult Autism Waiver (AAW)

-The purpose of this communication is to announce that Appendices A through H of the proposed renewal for the Adult Autism Waiver (AAW) are available for public review and comment. There is a 30-day public comment period that begins on February 27, 2021 and ends on March 29, 2021.

Autism & the Courts Regional Panel - Central PA

-Committed to access to justice for Pennsylvanians with an autism spectrum disorder (ASD), the Pennsylvania Supreme Court, along with the Department of Human Services (DHS) is pleased to announce an upcoming virtual forum – Autism and the Courts – a Regional Discussion, aimed at learning about court experiences from individuals with an ASD.

Positive Approaches Journal Volume 9 Issue 4 Now Available
-
The articles in this issue aim to support and inspire new ways to address the needs individuals with Intellectual and Developmental Disabilities and Autism have with sexuality and social connectedness. 

New MyODP Podcast: Guest Series with Jordan Hollander- It's the Journey and Not Just the Destination

-The MyODP Podcast is now available on major Podcasting Platforms! Click on the links below and subscribe to get notified of recent episodes!

This is the ODP's Weekly Digest announcements from March 21, 2021 through April 1, 2021

Thank you for following MyODP Communications!


Purpose
Status: current
More
Issued By: Office of Developmental Programs
Issue Date: February 22, 2021
Type: General
Audience: Weekly Digest
Name / Link: ODP Logo


The Office of Developmental Programs has created a Coronavirus (COVID-19) Updates webpage for stakeholders to stay up to date with updates and r-resources from ODP.
Please also visit MyODP News Online for new articles related Coronavirus (COVID-19).

ODP Announcement 21-018 REISSUE: Quality Management (QM) Recertification for ODP QM Certificate Holders

-To remind ODP QM Certificate Holders of QM Recertification requirements for those who were initially certified or recertified in 2019. Recertification is required every two years.

ODP Announcement 00-21-01: Guidance for Human Rights Teams and Human Rights Committees

-This bulletin clarifies requirements and provides best practice recommendations for the use of HRTs and HRCs to protect individual rights and for the review of restrictive procedures.

ODP Announcement 21-019: COVID-19--Updated Government Benefits and Representative Payee Services Frequently Asked Questions (FAQs)

-To announce updates to the Government Benefits and Representative Payee Services FAQs.

ODP Announcement 21-020: Incident Management Bulletin Webinars

-The Office of Developmental Programs (ODP) will be releasing the new Incident Management Bulletin on March 1, 2021. 

ODP Announcement 00-21-01: Bulletin 00-21-01 Guidance for Human Rights Teams and Human Rights Committees - Reissue

-This bulletin clarifies regulatory requirements and provides best practice recommendations for the development and implementation of HRTs and HRCs. 

ODP Announcement 21-021: COVID-19--Managing the Impact of Temporary Enhanced Rates for Community Participation Support and Transportation Trip on Individual Support Plans (ISP) and Annual Fiscal Limits

-To provide guidance to stakeholders on managing the impact of temporary enhanced rates for Community Participation Support (CPS) and Transportation Trip Services on Individual Support Plans (ISP) and annual fiscal limits (also referred to as waiver caps).

Improving Patient-Provider Communication for Autistic Individuals with Complex Communication Needs

-ASD@PSU will hold their Monthly Seminar Series on Wednesday, March 3, 2021, from Noon-1:00 pm. 

Police and Autism Community Training and Resources

-Police Autism Community Trainings (PACT), a Kentucky based non-profit organization aimed at advocating and raising awareness about autism in the community, has a variety of relevant resources on their website.

BEST PRACTICE STANDARDS IN BEHAVIORAL SUPPORT

-The Office of Developmental Programs (ODP) recognizes that effective, quality behavioral support must be grounded in and informed by basic, broadly accepted knowledge and processes. 

Immediate Action Required--COVID 19 Vaccine Information Needed!

-Complete the requested information for each home operated by your agency, save the sheet, and send it as an attachment to ra-pw6100regadmin@pa.gov.

PA Department of Human Services (DHS) COVID-19 Vaccine FAQ

-The Pennsylvania Department of Human Services (DHS) is working closely with other commonwealth agencies to assist in the distribution of vaccines to the populations we serve and providers to those populations.

New MyODP Podcast: Guest Series with Jordan Hollander: A Few Thoughts About Thoughts

-This is the first episode in a three-part series with our first guest, Jordan Hollander.

This is the ODP's Weekly Digest announcements from February 8, 2021 through February 23, 2021

Thank you for following MyODP Communications!

Purpose
Status: current
More
Issued By: Office of Developmental Programs
Issue Date: February 8, 2021
Type: General
Audience: Weekly Digest
Name / Link: ODP Logo


The Office of Developmental Programs has created a Coronavirus (COVID-19) Updates webpage for stakeholders to stay up to date with updates and r-resources from ODP.
Please also visit MyODP News Online for new articles related Coronavirus (COVID-19).
ODP Announcement 21-013: AAW Written Notice of SCO Requalification Requirements

-To inform all AAW SCOs, whose last digit of their Master Provider Index (MPI) number is 0, 1, or 2 that they must submit their qualification documentation to the Office of Developmental Programs (ODP), Bureau of Supports for Autism and Special Populations (BSASP) after February 1st but no later than March 31st of this year in order to meet requirements of 55 PA Code.

ODP Announcement 20-101 UPDATE: Coronavirus Disease 2019 (COVID-19)-- Temporary Closure of Older Adult Daily Living Centers, Structured Day Habilitation, and Licensed Facilities Where Community Participation Support is Provided Due to Community Spread

-To provide temporary closure guidance to Older Adult Daily Living Centers, Structured Day Programs, LIFE Day Centers, Adult Training Facilities and Vocational Facilities related to the community spread of COVID-19 

ODP Announcement 21-014: Notice of a Change to the Federal Requirement of Transportation Costs for 2021

-The announcement provides the 2021 Federal rate of reimbursement per mile for travel and provides instruction on how to modify claims to account for the new rate.

ODP Announcement 21-015: New Orientation for Adult Autism Waiver Supports Coordination Organizations

-To inform SCOs of a new orientation curriculum on MyODP for Supports Coordinators (SC) and SC Supervisors serving participants in the AAW.

ODP Announcement 21-016: COVID-19 - Guidance for Maintaining Regulatory Compliancy in CPS facilities

-This announcement provides guidance to licensed Community Participation Support (CPS) Facilities about maintaining compliance with 55 Pa. Code Chapters 2380 and 2390 during the COVID-19 pandemic.

ODP 20-088 UPDATE: Coronavirus Disease 2019 (COVID-19)--Guidance on Masks, Close Contact, Screening, and Handwashing

-To provide updated guidance on face-coverings, close contact, screening protocols, and handwashing procedures for all stakeholders. 

ODP Announcement 21-017:Coronavirus Disease 2019 (COVID-19)--Temporary Fee Schedule Rates for Community Participation Support and Transportation Trip Services

-To announce the implementation of temporary changes to the Fee Schedule Rates for Community Participation Support services rendered through the Consolidated, Community Living and Person/Family Directed Support (P/FDS) waivers.

Vaccinations: Unpaid Caregivers Attestation Information

The Office of Developmental Programs (ODP) is passing along this information for any unpaid caregivers in need of COVID vaccination. On January 19, 2021, Pennsylvania’s COVID-19 Interim Vaccination Plan V.

ODP COVID-19 Update: Vaccination Webinar for All Stakeholders

-Join ODP Deputy Secretary Kristin Ahrens and Medical Director Gregory Cherpes for a general update on vaccination rollout.

Vaccine Information for Individuals Without Internet Access

-Pennsylvania Departments of Health and Human Services would like to share resources surrounding COVID-19 vaccine information for individuals that have limited or no internet access.

SAVE THE DATE: Everyday Lives 2021 Virtual Conference

-The Pennsylvania Department of Human Services, Office of Developmental Programs, invites you to Save the Date and participate in the statewide Everyday Lives Conference. 

This is the ODP's Weekly Digest announcements from  through January 24, 2021 through February 6, 2021

Thank you for following MyODP Communications!


Purpose
Status: current
More
Issued By: Office of Developmental Programs
Issue Date: December 26, 2020
Type: General
Audience: Weekly Digest
Name / Link: ODP Logo

The Office of Developmental Programs has created a Coronavirus (COVID-19) Updates webpage for stakeholders to stay up to date with updates and r-resources from ODP.
Please also visit MyODP News Online for new articles related Coronavirus (COVID-19).

ODP Announcement 20-114 UPDATE (Obsoletes 20-102): Coronavirus Disease 2019 (COVID-19)--Frequently Asked Questions (FAQs) About Modifications to Medication Administration Course Requirements as a Result of the COVID-19 Pandemic

Per ODP Announcement 20-032, 55 Pa. Code Chapters 2380, 2390, 6100, and 6400 provide that a staff person can administer medications to individuals if the staff person successfully completes an ODP-approved medication administration training course.

ODP Announcement 20-115: Open for Public Comment: Proposed Amendments to the Office of Developmental Programs’ Waivers

The purpose of this communication is to announce that the proposed amendments to the Consolidated, Person/Family Directed Support (P/FDS), Community Living, and Adult Autism Waivers are available for public review and comment. There is a 30-day public comment period that starts on December 18, 2020 and ends on January 18, 2021

ODP 20-116: Medication Administration Train-the-Trainer Course – Scheduled Maintenance

To announce scheduled maintenance on the Medication Administration Train-the-Trainer course will occur 12/28/2020 from 10:00 AM-5:00 PM.

Support Broker Certification Training January 2021

-This training provides prospective Supports Brokers with information they need to understand Participant-Directed Services (PDS) and the role the Support Broker plays in helping people be successful with directing their own services.

ODP Health Risk Screening Tool (HRST) Protocols for Supports Coordinators Webinar

-Pre-registration is required. Please use the links above to register for the session.

A Message from the Secretary - COVID-19 Interim Vaccination Plan

In recent weeks, the Department of Health has significantly ramped up efforts to prepare for a safe and efficacious vaccine rollout to Pennsylvania. During this preparation, DOH has assembled the Pennsylvania COVID-19 Interim Vaccination Plan. 

Bulletin 00-20-04 Participant Directed Services Agency With Choice Financial Management Services Model

-This bulletin obsoletes and replaces ODP Bulletin 00-08-08, Agency With Choice Financial Management Services (AWC FMS).

 Pennsylvania Department of Health (PA DOH) Guidance: Infection Prevention and Control Considerations for Healthcare Personnel with Signs and Symptoms Following COVID-19 Vaccination

The Pennsylvania Department of Health is providing guidance for responding to signs and symptoms following COVID-19 vaccination in healthcare personnel (HCP). 

COVID-19 Surge Contingency Planning: Guidance for AEs

-This guidance was developed  to support AEs to facilitate discussions with providers about staffing contingency plans in anticipation of extreme stresses on residential providers during and after the surge of COVID-19.

Joint Health Risk Screening/Office of Developmental Programs Protocol for Supports Coordinators Webinar

-These sessions will review ODP’s expectations related to the use of the Health Risk Screening Tool (HRST), as well as provide thorough instruction on use of the tool. 

Reducing Food Insecurity and Nutrition-Related Chronic Diseases During COVID Among Medicaid HCBS Beneficiaries

-ACL and CMS host a monthly webinar series that invites subject matter experts and practitioners from across the home-and-community-based services (HCBS) spectrum to share insights and best practices to develop high quality HCBS services and programs.

COVID-19 Vaccine Information from PA DOH

-This site contains important information regarding the COVID-19 Vaccine. Please share this information widely.

Thresholds for Community Spread Report

-The publication of the Threshold for Community Spread Report will follow publication of DOH’s updated Dashboard numbers, which is available on Friday of each week.

This is the ODP's Weekly Digest announcements from  through December 14, 2020 through December 25, 2020

Thank you for following MyODP Communications!


Purpose
Status: current
More
Issued By: Office of Developmental Programs
Issue Date: November 18, 2020
Type: General
Audience: Weekly Digest
Name / Link:

ODP Logo

The Office of Developmental Programs has created a Coronavirus (COVID-19) Updates webpage for stakeholders to stay up to date with updates and r-resources from ODP.
Please also visit MyODP News Online for new articles related Coronavirus (COVID-19).

ODPANN 20-106 REISSUE: ODP Non-Residential Heightened Scrutiny Announcement

--The purpose of this communication is to release for public comment the non-residential service locations.

ODP Announcement 20-107: Revised Timeline for Incident Management Bulletin and Enterprise Incident Management (EIM) System Enhancements

-To provide updated issuance and effective dates for the revised Incident Management Bulletin and subsequent changes to the Enterprise Incident Management system.

ODP Announcement 20-108: Coronavirus Disease 2019 (COVID-19): Version 3: Frequently Asked Questions (FAQ) About the Office of Developmental Programs' (ODP) Requirements During the COVID-19 Pandemic

-To communicate additional and updated guidance through version 3 of “Frequently Asked Questions (FAQ) About ODP’s Requirements During the COVID-19 Pandemic.”


-ODP Staff and Contractors are encouraged to join Medical Director Dr. Gregory Cherpes for a brief webinar focused on safety measures for the upcoming holiday season in light of the COVID-19 pandemic.

New MYODP Podcast: Making Good Old Fashioned Happiness

-What is happiness and why is it important for supporters to think about how we help people make happiness in their lives? We will talk about those habits that can increase happiness and, in turn, positively impact one's physical, emotional, and social well-being.

Visual Gestural Communication: Module 1

-ODP is happy to announce publication of our first online Visual Gestural Communication (VGC) training module! Over 8,000 individuals supported in the ODP system have VGC listed as their primary mode of communication.

ODP Act 24 Allowable Costs and updated FAQs

-On May 29, 2020, Governor Wolf signed Act 24 of 2020, which allocates funding from the federal Coronavirus Aid, Relief, and Economic Security Act – also known as the CARES Act – to assist providers with COVID-19 related costs.

Things to consider when supporting a Deaf-Blind individual during COVID-19

-Please see the attached resource from our friends in Special Populations and ASERT on things to consider when supporting a Deaf-Blind individual during COVID-19.

This is the ODP's Weekly Digest announcements from  through November 2nd through November 13, 2020

Thank you for following MyODP Communications!











Purpose
Status: current